Package: org.gradle.api.artifacts.repositories

## [Java] Interface ArtifactRepository

- A repository for resolving and publishing artifacts.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getName()` Returns the name for this repository.
    `void` | `setName(String name)` Sets the name for this repository.

- - ### Method Detail

    - #### public String getName()

      Returns the name for this repository. A name must be unique amongst a repository set. A default name is provided for the repository if none is provided.

      The name is used in logging output and error reporting to point to information related to this repository.

      Returns:
        The name.

    - #### public void setName(String name)

      Sets the name for this repository. If this repository is to be added to an ArtifactRepositoryContainer (including RepositoryHandler), its name should not be changed after it has been added to the container. This capability has been deprecated and is scheduled to be removed in the next major Gradle version.

      Parameters:
        `name` - The name. Must not be null.